package com.ruoyi.system.service.impl;

import com.ruoyi.common.core.utils.DateUtils;
import com.ruoyi.common.datasource.annotation.Slave;
import com.ruoyi.system.domain.LaFilterUa;
import com.ruoyi.system.mapper.LaFilterUaMapper;
import com.ruoyi.system.service.ILaFilterUaService;
import java.util.List;
import java.util.stream.Collectors;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class LaFilterUaServiceImpl implements ILaFilterUaService {
   @Autowired
   private LaFilterUaMapper laFilterUaMapper;

   @Slave
   public String[] generateInsertUaSql() {
      List<LaFilterUa> list = this.selectLaFilterUaList(new LaFilterUa());
      if (list.isEmpty()) {
         return new String[0];
      } else {
         String sql = (String)list.stream().map((obj) -> {
            return "('" + obj.getContent() + "', '" + DateUtils.parseDateToStr(DateUtils.YYYY_MM_DD_HH_MM_SS, obj.getCreateTime()) + "')";
         }).collect(Collectors.joining(","));
         String[] sqlArr = new String[]{"DELETE FROM la_filter_ua", "INSERT INTO la_filter_ua (content, create_time) VALUES " + sql + ";"};
         return sqlArr;
      }
   }

   @Slave
   public LaFilterUa selectLaFilterUaByUaId(Long uaId) {
      return this.laFilterUaMapper.selectLaFilterUaByUaId(uaId);
   }

   @Slave
   public List<LaFilterUa> selectLaFilterUaList(LaFilterUa laFilterUa) {
      return this.laFilterUaMapper.selectLaFilterUaList(laFilterUa);
   }

   @Slave
   public int insertLaFilterUa(LaFilterUa laFilterUa) {
      laFilterUa.setCreateTime(DateUtils.getNowDate());
      return this.laFilterUaMapper.insertLaFilterUa(laFilterUa);
   }

   @Slave
   public int updateLaFilterUa(LaFilterUa laFilterUa) {
      return this.laFilterUaMapper.updateLaFilterUa(laFilterUa);
   }

   @Slave
   public int deleteLaFilterUaByUaIds(Long[] uaIds) {
      return this.laFilterUaMapper.deleteLaFilterUaByUaIds(uaIds);
   }

   @Slave
   public int deleteLaFilterUaByUaId(Long uaId) {
      return this.laFilterUaMapper.deleteLaFilterUaByUaId(uaId);
   }
}
